package domain

type AlibabaWdkMarketingDiscountItemRemoveAsyncMarketResult struct {
	/*
	   处理结果     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   结果数据     */
	Datas *[]AlibabaWdkMarketingDiscountItemRemoveAsyncItemDiscountSku `json:"datas,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingDiscountItemRemoveAsyncMarketResult) SetMessage(v string) *AlibabaWdkMarketingDiscountItemRemoveAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemRemoveAsyncMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingDiscountItemRemoveAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemRemoveAsyncMarketResult) SetDatas(v []AlibabaWdkMarketingDiscountItemRemoveAsyncItemDiscountSku) *AlibabaWdkMarketingDiscountItemRemoveAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemRemoveAsyncMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingDiscountItemRemoveAsyncMarketResult {
	s.Success = &v
	return s
}
